GET
https://api.cryptohopper.com/v1/market/giftcards/orders/purchased
Returns the gift card orders you placed that are not paid yet.
OAuth scope:
read manage About scopes
Only available to Cryptohopper's own apps; other apps get a 403 error. Despite the path, this returns unpaid orders; paid gift cards that are not redeemed yet are returned by GET /market/giftcards/orders. giftcard_value is always null here.
Example request
curl "https://api.cryptohopper.com/v1/market/giftcards/orders/purchased" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/giftcards/orders/purchased', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/giftcards/orders/purchased",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/giftcards/orders/purchased');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": [
{
"id": "8841",
"giftcard_id": "12",
"giftcard_name": "Cryptohopper credits 50",
"giftcard_code": "Xk3P9qLm2Vr7Tz8Nw4Hs6Jd1Fb5Gc0Ya9Qe2Ru7Io4Pl3Mk8Nj6Bh1Vg5Cf0Dx7S",
"giftcard_image": "https://cdn.cryptohopper.com/images/giftcards/templates/credits.png",
"giftcard_type": "credits",
"giftcard_value": null,
"plan_id": "0",
"marketplace_id": "0",
"payment_method": "Credit card",
"payment_method_id": "3",
"payment_term": "month",
"currency": "USD",
"price": "50.00",
"payment_link": null,
"use_date": null,
"expire_date": "2027-09-20 12:00:00",
"is_paid": "0",
"created": "2026-09-20 12:00:00",
"updated": "2026-09-20 12:05:00"
}
]
}